<section fxLayout="column">
    <mat-progress-bar *ngIf="loading" mode="indeterminate"></mat-progress-bar>
    <button fxFlexAlign="end" [autofocus]="false" mat-icon-button (click)="close()" class="close-icon">
        <mat-icon class="icon">close</mat-icon>
    </button>

    <div class="content">
        <h2 mat-dialog-title>Reset Password</h2>
        <p *ngIf="requestError.error != null" style="color: red">{{requestError.error}}</p>
        <p style="margin-top: 20px">Enter your email address to reset password.</p>
        <form [formGroup]="form" (ngSubmit)="onSubmit()">
            <mat-form-field appearance="outline">
                <mat-label>E-mail</mat-label>
                <input matInput
                       type="email"
                       formControlName="email"
                       placeholder="name@email.com"
                />
                <mat-error *ngIf="form.invalid">Enter a valid email</mat-error>
            </mat-form-field>
            <button mat-raised-button [disabled]="!form.valid || loading" type="submit">
                Reset
            </button>
        </form>
    </div>

</section>






